package com.zhyc.module.feed.mapper;

import java.util.List;
import com.zhyc.module.feed.domain.SgFormulaManagement;
import org.apache.ibatis.annotations.Mapper;

/**
 * 配方管理Mapper接口
 * 
 * @author HashMap
 * @date 2025-08-09
 */
@Mapper
public interface SgFormulaManagementMapper 
{
    /**
     * 查询配方管理
     * 
     * @param formulaId 配方管理主键
     * @return 配方管理
     */
    SgFormulaManagement selectSgFormulaManagementByFormulaId(String formulaId);

    /**
     * 查询配方管理列表
     * 
     * @param sgFormulaManagement 配方管理
     * @return 配方管理集合
     */
    List<SgFormulaManagement> selectSgFormulaManagementList(SgFormulaManagement sgFormulaManagement);

    /**
     * 新增配方管理
     * 
     * @param sgFormulaManagement 配方管理
     * @return 结果
     */
    int insertSgFormulaManagement(SgFormulaManagement sgFormulaManagement);

    /**
     * 修改配方管理
     * 
     * @param sgFormulaManagement 配方管理
     * @return 结果
     */
    int updateSgFormulaManagement(SgFormulaManagement sgFormulaManagement);

    /**
     * 删除配方管理
     * 
     * @param formulaId 配方管理主键
     * @return 结果
     */
    int deleteSgFormulaManagementByFormulaId(String formulaId);

    /**
     * 批量删除配方管理
     * 
     * @param formulaIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteSgFormulaManagementByFormulaIds(String[] formulaIds);

    int deleteSgFormulaManagement(SgFormulaManagement sgFormulaManagement);
}
